Jump to content


Version 2.2 seems to be corrupt (EET)


  • Please log in to reply
15 replies to this topic

#1 -HalfCelestial-

-HalfCelestial-
  • Guest

Posted 03 April 2018 - 04:37 AM

BWS reports that it cannot extract the contents of the rar, I couldn't either at first, but I could using 7z (had a problem like that with Adrian yesterday, but I could fix it manually), but even after dropping it in the BG1 and BG2 folder (don't know where it's supposed to go, some BG1 mods are also in the BG2 folder), it threw an error at me when trying to install it. Any workaround?



#2 -HalfCelestial-

-HalfCelestial-
  • Guest

Posted 03 April 2018 - 05:29 AM

Well, I'm using 2.1 in the meantime, it seems BWS doesn't know how to install it properly at this particular moment. The bugs fixed in version 2.2 do not bother me anyway.



#3 Roxanne

Roxanne

    Modder

  • Member
  • 3564 posts

Posted 03 April 2018 - 06:02 AM

see http://www.shsforums...et/#entry601479


Edited by Roxanne, 03 April 2018 - 11:45 AM.

The Sandrah Saga

another piece of *buggy, cheesy, unbalanced junk*

 


#4 -Guest2-

-Guest2-
  • Guest

Posted 03 April 2018 - 08:32 AM

Yes it does have error for me too.



#5 Roxanne

Roxanne

    Modder

  • Member
  • 3564 posts

Posted 03 April 2018 - 11:44 AM

Yes it does have error for me too.

Here is another report

http://www.shsforums...am/#entry601478

 

Something went wrong with yesterday's new version upload.


The Sandrah Saga

another piece of *buggy, cheesy, unbalanced junk*

 


#6 Rhaella

Rhaella
  • Modder
  • 643 posts

Posted 03 April 2018 - 11:57 AM

Is the problem on my side or BWS? I'm not having any trouble manually extracting it.



#7 Roxanne

Roxanne

    Modder

  • Member
  • 3564 posts

Posted 03 April 2018 - 12:06 PM

Is the problem on my side or BWS? I'm not having any trouble manually extracting it.

I did not use BWS but downloaded directly from the mod page and tried to open it with double click.I get the message that it is not a valid archive. I can open it with the 7-zip console. So it is not a BWS issue.

Of course, the EET reference in the title is also irrelevant, this is not related to EET in any way.


Edited by Roxanne, 03 April 2018 - 12:07 PM.

The Sandrah Saga

another piece of *buggy, cheesy, unbalanced junk*

 


#8 Rhaella

Rhaella
  • Modder
  • 643 posts

Posted 03 April 2018 - 01:31 PM

How odd. I suppose I can upload it as a zip instead if the rar is acting up. Let me know if it's working properly now. :)


Edited by Rhaella, 03 April 2018 - 01:31 PM.


#9 Roxanne

Roxanne

    Modder

  • Member
  • 3564 posts

Posted 03 April 2018 - 01:42 PM

How odd. I suppose I can upload it as a zip instead if the rar is acting up. Let me know if it's working properly now. :)

The zip works fine now, at least for manual download and extraction.


The Sandrah Saga

another piece of *buggy, cheesy, unbalanced junk*

 


#10 Gwendolyne

Gwendolyne
  • Staff
  • 511 posts

Posted 03 April 2018 - 11:02 PM

Had no problem to open and extract both archives (Isra for BG and BG2), using WinRAR 5.21 (64 bits)


CARPE DIEM ....
 

In progress : Menace sur le Royaume de Diamant Éternel there.

#11 Roxanne

Roxanne

    Modder

  • Member
  • 3564 posts

Posted 04 April 2018 - 02:29 AM

That's because WinRAR 5.21 can open new RAR5 format while 7zip 9.22 (which BWS use) cannot. No, we can't update 7zip because few old mod archives can't be opened via new 7zip due to unsolvable internal 7zip bug. And we can't repack those mods and publish them. Not forcing players to install additional software is much better imho.

Thank you for clarifying.


The Sandrah Saga

another piece of *buggy, cheesy, unbalanced junk*

 


#12 jastey

jastey
  • Staff
  • 1868 posts

Posted 06 April 2018 - 01:02 AM

So the decision was to not being abl to unpack newly packed mods in rar because otherwise old (and probably abandoned) mods might not be automaticly unpackable? Alternative approach would be to support the new mod versions and let the players extract the older ones by hand. Sounds more reasonable to me.

#13 The Imp

The Imp

    Not good, see EVIL is better. You'll LIVE.

  • Member
  • 4810 posts

Posted 06 April 2018 - 01:19 AM

So the decision was to not being abl to unpack newly packed mods in rar because otherwise old (and probably abandoned) mods might not be automaticly unpackable? Alternative approach would be to support the new mod versions and let the players extract the older ones by hand. Sounds more reasonable to me.
The most reasonable approach is to package every mod as a .zip file and stay the F away from .rar's and .7z's ... the possible 5+ MB spare you get from a 100 MB's, not worth the hassle.
Other OS users will also attest to this.

PS, WinRAR can package the files as a .zip archive. Aka, don't be a dick.

Edited by The Imp, 06 April 2018 - 01:24 AM.

Yep, Jarno Mikkola. my Mega Mod FAQ. Use of the BWS, and how to use it(scroll down that post a bit). 
OK, desert dweller, welcome to the sanity, you are free to search for the limit, it's out there, we drew it in the sand. Ouh, actually it was still snow then.. but anyways.


#14 Roxanne

Roxanne

    Modder

  • Member
  • 3564 posts

Posted 06 April 2018 - 01:58 AM

So the decision was to not being abl to unpack newly packed mods in rar because otherwise old (and probably abandoned) mods might not be automaticly unpackable? Alternative approach would be to support the new mod versions and let the players extract the older ones by hand. Sounds more reasonable to me.

*Decision* is not always the option when it comes to BWS nowadays. Without someone who even knows how to make the necessary changes, we are talking hypothetical choices here.

PS - I would be the first to agree that abandoned mods for outdated games should not be an argument...but we can only consider the options we have control of. Unless you know how to do it?


The Sandrah Saga

another piece of *buggy, cheesy, unbalanced junk*

 


#15 Roxanne

Roxanne

    Modder

  • Member
  • 3564 posts

Posted 11 April 2018 - 02:52 AM

I found this error in the tp2-file while trying to install the crossmod:

 

 

BEGIN @48 /* Install Valerie/Isra crossmod banter? */
  REQUIRE_COMPONENT ~setup-isra.tp2~ ~0~ @49 /* You do not appear to have Isra installed */
  REQUIRE_COMPONENT ~valerie.tp2~ ~0~ @50 /* You do not appear to have Valerie installed */
 
COMPILE EVALUATE_BUFFER ~isra/dialogue/valerie_crossmod.d~ // must be >>>COMPILE EVALUATE_BUFFER ~isra/crossmod/valerie_crossmod.d~

BEGIN @51 /* Install Gavin/Isra crossmod banter? */
  REQUIRE_COMPONENT ~setup-isra.tp2~ ~0~ @49 /* You do not appear to have Isra installed */
  REQUIRE_COMPONENT ~gavin.tp2~ ~0~ @52 /* You do not appear to have Gavin installed */
 
COMPILE EVALUATE_BUFFER ~isra/dialogue/gavin_crossmod.d~ // must be >>>COMPILE EVALUATE_BUFFER ~isra/crossmod/gavin_crossmod.d~
EXTEND_BOTTOM ~b!gavin.bcs~ ~isra/scripts/gavin.baf~

 

 

OR moving the two files into dialogue folder.

 

PS - the same is for the gavin.baf in crossmod folder vs tp2 path


Edited by Roxanne, 11 April 2018 - 02:56 AM.

The Sandrah Saga

another piece of *buggy, cheesy, unbalanced junk*

 


#16 Rhaella

Rhaella
  • Modder
  • 643 posts

Posted 11 April 2018 - 06:38 PM

Thank you! Fixed. This is why I should not futz around with files and forget about it. ^_^